Subject: Re: crontab error
From: "Chuck Hamilton" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 29 May 2003 05:12:07 -0400

It already the permissions set to 777.

-rwxrwxrwx    1 Administ mkgroup_    32256 Apr 15 11:16 cron*

I did try changing the user the service runs as but it failed with a logon
error so I changed it back to LocalSystem. It seems like it's got to be some
kind of Win2k permissions thing. If I run cron from a cygwin session, it
works fine. If I run it as a service it fails to start. I've tried adding
the cygwin /usr/bin and /usr/lib directories to my Win2k path but that
didn't help either (though now I can run cygwin commands from a DOS prompt
if I want).

----- Original Message ----- 
From: "Igor Pechtchanski" <[email-masked]>
To: "Chuck Hamilton" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, May 28, 2003 1:26 PM
Subject: Re: crontab error

> Chuck,
>
> Cygwin services usually run as LocalSystem.  Did you change the user the
> service runs as?
> See if /usr/sbin/cron has execute permission set for user SYSTEM (maybe do
> a "chmod a+x"?).
> Igor
>
> On Wed, 28 May 2003, Chuck Hamilton wrote:
>
> > I'm finding if I run the cron command manually from a shell window, it
> > works. If I try to start it as a service, it fails to start. Below is
what I
> > found in the win2k application log. Does it help?
> >
> > "The description for Event ID ( 0 ) in Source ( cron ) cannot be found.
The
> > local computer may not have the necessary registry information or
message
> > DLL files to display messages from a remote computer. The following
> > information is part of the event: cron : PID 2976 : starting service
`cron'
> > failed: execv: 1, Operation not permitted."
> >
> > Is this some sort of a permissions problem? Do I need to start the cron
> > service as a specific user?
> >
> > ----- Original Message -----
> > From: "Harig, Mark" <[email-masked]>
> > To: "Chuck Hamilton" <[email-masked]>; <[email-masked]>
> > Sent: Tuesday, May 27, 2003 1:03 PM
> > Subject: RE: crontab error
> >
> >
> > Please re-run the cron_diagnose.sh script
> > to see if it can find any problems.
> >
> > > -----Original Message-----
> > > From: Chuck Hamilton [mailto:[email-masked]]
> > > Sent: Tuesday, May 27, 2003 8:44 AM
> > > To: [email-masked]
> > > Subject: Re: crontab error
> > >
> > >
> > > I do have the utilities and I was able to create a group and
> > > passwd file. I
> > > still get an error trying to start the cron service however.
>
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/